Subject: [sipcore] draft-barnes-sipcore-rfc4244bis-callflows-03: comments

From: Brett Tate <[email-masked]>
Date: Thu, 2 Aug 2012 07:22:29 -0700

Howdy,

The following are some draft-barnes-sipcore-rfc4244bis-callflows-03 comments.  They are similar to those provided in April for draft-ietf-sipcore-rfc4244bis-07.

Thanks,
Brett

------

Section 3 general comments:

- If depicting an RFC 3261 compliant UAS, the 302 examples must include To tags.

- If depicting an RFC 3261 compliant UAS, the Via headers using an FQDN must cause the UAS to add a received parameter to the Via.

Section 3.1:

- In case not intentional, the 302's ACK is not depicted within the call flow.

- The 2xx's ACK is depicted a ladder; however example.com did not add a Record-Route.

- F4: The top unique via branch should be changed since it was already used within F2.

Section 3.2:

- F2: If depicting an RFC 3261 compliant UAS, must add a To tag.

Section 3.3:

- In case not intentional, the 302's ACK is not depicted within the call flow.

- The 2xx's ACK is depicted a ladder; however example.com did not add a Record-Route.

- F4: The top unique via branch should be changed since it was already used within F2.

- F5: The Contact should be changed since it reflects the proxy instead of UAS location.

- F6: The top unique via branch should be changed since it was already used within F2.

- F7: The Contact should be changed since it reflects the proxy instead of UAS location.

Section 3.4:

- In case not intentional, the 302's ACK is not depicted within the call flow.

- The 2xx's ACK is depicted a ladder; however example.com did not add a Record-Route.

- F4: The top unique via branch should be changed since it was already used within F2.

- F5: The Contact should be changed since it reflects the proxy instead of UAS location.

- F6: The top unique via branch should be changed since it was already used within F2.

- F7: The Contact should be changed since it reflects the proxy instead of UAS location.

This email is intended solely for the person or entity to which it is addressed and may contain confidential and/or privileged information.  If you are not the intended recipient and have received this email in error, please notify BroadSoft, Inc. immediately by replying to this message, or by sending an email to [email-masked], and destroy all copies of this message, along with any attachment, prior to reading, distributing or copying it.

---

From: Shida Schubert <[email-masked]>
Date: Thu, 2 Aug 2012 07:45:39 -0700

Brett;

 Many thanks for the comments. 

 I will reflect them ASAP. 
 
 Thanks again

 Shida

On Aug 2, 2012, at 7:22 AM, Brett Tate wrote:

> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore